Nets D2 for WooCommerce retires

In early 2022 the Nets D2 for WooCommerce plugin will be retired.

To continue to use Nets (previously DIBS) as your payment provider you need to upgrade to Nets Easy for WooCommerce.

If you don’t you won’t be able to accept payments when Nets D2 is closed down. Get in touch with Nets to upgrade your account.

If you need help transitioning from the Nets D2 plugin to Nets Easy you can contact us.

Top
0

Your Cart